# systemd-udev-trigger.service - Fake the existence of this service

# On Ubuntu Touch, we implement a scheme called ueventd-as-a-udevtrigger,
# where ueventd, Android's counterpart of udevd, will trigger uevents from
# inside the Android container. This is to avoid doing the trigger multiple
# times. Ueventd has the trigger code built-in, udevd doesn't.

# As systemd-udev-trigger.service is a part of sysinit.target, which is in
# turn a part of default dependencies of most services, we need to ensure that
# this unit is run even if the Android container fails. We've arranged that the
# systemd-udev-trigger-real.service be run if the lxc-android-config.service fails.
# We implement this unit as sort of alternative system, which will succeed if either
# of them succeed.

[Unit]
Description=udev Fake Coldplug all Devices
DefaultDependencies=no
After=lxc-android-config.service systemd-udev-trigger-real.service
Before=sysinit.target

[Service]
Type=oneshot
RemainAfterExit=yes
ExecStart=sh -ec 'systemctl is-active lxc-android-config.service || systemctl is-active systemd-udev-trigger-real.service'
